/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
#if !defined(AFX_TREEPANE_H__8182A73F_38E4_4721_BA61_BE51AC86456C__INCLUDED_)
#define AFX_TREEPANE_H__8182A73F_38E4_4721_BA61_BE51AC86456C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TreePane.h : header file
//
#include "SctsDevManT&D.h"
/////////////////////////////////////////////////////////////////////////////
// CTreePane dialog

class CTreePane : public CDialog
{
// Construction
public:
	CTreePane(SctsDMTree *_tree,CWnd* pParent = NULL);   // standard constructor
	SctsDMTree *tree;
	void UploadNode(SctsDMNode *node);
	void UploadNodeACL(SctsDMNode *node);
	int editedItem;
	bool newNode;
	bool update;
	bool useDataPane;
	char *dataPaneData;
	unsigned int dataPaneDataSize;
	void ShowApplyDiscard(BOOL show);


// Dialog Data
	//{{AFX_DATA(CTreePane)
	enum { IDD = IDD_TREEPANE };
	CEdit	m_edit;
	CTreeCtrl	m_tree;
	CListCtrl	m_acl;
	CListCtrl	m_properties;
	BOOL	m_inherit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTreePane)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTreePane)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangedTreenodes(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickTreeprop(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusEdit();
	afx_msg void OnTreeaclinherit();
	afx_msg void OnTreeacladd();
	afx_msg void OnClickTreeacl(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangingTreenodes(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTreediscard();
	afx_msg void OnTreeapply();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTreeInsertget();
	afx_msg void OnDblclkTreeprop(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTreeTestnode();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnTreeInsertgetstruct();
	afx_msg void OnTreeInsertgetstructdata();
	afx_msg void OnTreeInsertgettnds();
	afx_msg void OnTreeInsertexec();
	afx_msg void OnTreeInsertexeccorrelator();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TREEPANE_H__8182A73F_38E4_4721_BA61_BE51AC86456C__INCLUDED_)
